/*
 * Ctunnel - Cyptographic tunnel.
 * Copyright (C) 2008-2011 Jess Mahan <ctunnel@nardcore.org>
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <time.h>
#include <fcntl.h>
#include <signal.h>
#include <string.h>
#include <ctype.h>
#include <errno.h>
#include <stdarg.h>

#include "config.h"
#include "ctunnel.h"

void ctunnel_log(FILE *fp, int facility, const char *format, ...)
{
    va_list args;
    char text[1024];

    va_start(args, format);
    vsprintf(text, format, args);
    va_end(args);


#ifndef _WIN32
    syslog(facility, text);
#endif
    fprintf(fp, "[ctunnel] %s\n", text);
}
